%define module_version 0.2.0
%define module_name Dancer-Plugin-Swagger
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Load.pm) perl(Clone.pm) perl(Dancer.pm) perl(Dancer/Plugin.pm) perl(Dancer/Plugin/REST.pm) perl(Dancer/Response.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/ShareDir/Tarball.pm) perl(File/Spec.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(List/AllUtils.pm) perl(Moo.pm) perl(MooX/Singleton.pm) perl(MooseX/MungeHas.pm) perl(Path/Tiny.pm) perl(PerlX/Maybe.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/WWW/Mechanize/PSGI.pm) perl(overload.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.0
Release: alt1
Summary: create Swagger documentation of the app REST interface 
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Dancer-Plugin-Swagger

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This plugin provides tools to create and access a Swagger specification file for a
Dancer REST web service.

Overview of `Dancer::Plugin::Swagger''s features:

=over

=item Can create a /swagger.json REST specification file.

=item Can auto-discover routes and add them to the swagger file.

=item Can provide a Swagger UI version of the swagger documentation.

=back
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHOR_PLEDGE Changes README README.mkdn LICENSE examples
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*

%changelog
* Thu Apr 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1
- initial import by package builder

